=== PypeS/CMakeLists.txt ===
PROJECT (PYPES)

SET(PYPES_SRCS
  pype.py
  pypebatch.py
  pypepad.py
  pypewrapper.py
  pyperun.py
  )

SET(PYPES_BASE_SRCS
  pypescript.py
  pypes.py
  )

FOREACH (SCRIPT_FILE  ${PYPES_BASE_SRCS})
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/${SCRIPT_FILE} ${PYPES_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
ENDFOREACH (SCRIPT_FILE)

IF(NOT PYPES_INSTALL_BIN_DIR)
  #SET(PYPES_INSTALL_BIN_DIR ${PYPES_INSTALL_ROOT}/bin)
  SET(PYPES_INSTALL_BIN_DIR bin)
ENDIF(NOT PYPES_INSTALL_BIN_DIR)

IF(NOT PYPES_MODULE_INSTALL_LIB_DIR)
  #SET(PYPES_MODULE_INSTALL_LIB_DIR ${PYPES_INSTALL_ROOT}/lib/vmtk/vmtk)
  SET(PYPES_MODULE_INSTALL_LIB_DIR lib/vmtk/vmtk)
ENDIF(NOT PYPES_MODULE_INSTALL_LIB_DIR)

FOREACH (SCRIPT_FILE  ${PYPES_SRCS})
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/${SCRIPT_FILE} ${PYPES_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
ENDFOREACH (SCRIPT_FILE)

#INSTALL_FILES(${PYPES_MODULE_INSTALL_LIB_DIR} .py ${PYPES_BASE_SRCS} ${PYPES_SRCS})
INSTALL(FILES ${PYPES_BASE_SRCS} ${PYPES_SRCS} DESTINATION ${PYPES_MODULE_INSTALL_LIB_DIR})

IF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

SET (STRIPPED_PYPES_SRCS)
FOREACH (SCRIPT_FILE  ${PYPES_SRCS})
  STRING(REGEX REPLACE ".py" "" STRIPPED_SCRIPT_FILE ${SCRIPT_FILE})
  # Rename script 'pype' to 'vmtk-pype' to avoid conflict 
  # with /usr/bin/pype in package 'pype' in Debian.
  IF("${STRIPPED_SCRIPT_FILE}" STREQUAL "pype")
    SET(STRIPPED_SCRIPT_FILE "vmtk-pype")
  ENDIF("${STRIPPED_SCRIPT_FILE}" STREQUAL "pype")
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/${SCRIPT_FILE} ${PYPES_BINARY_DIR}/${STRIPPED_SCRIPT_FILE} COPYONLY)
  SET (STRIPPED_PYPES_SRCS ${STRIPPED_PYPES_SRCS} ${PYPES_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
ENDFOREACH (SCRIPT_FILE)
#INSTALL_PROGRAMS(${PYPES_INSTALL_BIN_DIR} FILES ${STRIPPED_PYPES_SRCS})
INSTALL(PROGRAMS ${STRIPPED_PYPES_SRCS} DESTINATION ${PYPES_INSTALL_BIN_DIR})

ENDIF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)
