=== debian/changelog ===
vmtk (0.9~bzr276-1) unstable; urgency=low

  * Initial release (Closes: #584222)

 -- Johannes Ring <johannr@simula.no>  Thu, 03 Jun 2010 19:11:14 +0200
