=== debian/control ===
Source: vmtk
Homepage: http://www.vmtk.org
Section: non-free/science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake,
 python-support (>= 0.6.4), python-dev, libvtk5-dev, python-vtk,
 libinsighttoolkit3-dev | libinsighttoolkit-dev, libjpeg62-dev, libtiff4-dev,
 libfreetype6-dev, libxext-dev, libpng12-dev, libexpat1-dev, uuid-dev,
 libgdcm2-dev, libopenjpeg-dev, libssl-dev
XS-Python-Version: 2.5
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/vmtk/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/vmtk/trunk/

Package: libvmtk0.9
Section: non-free/libs
Architecture: any
Conflicts: libvmtk0.7, libvmtk0.8
Replaces: libvmtk0.7, libvmtk0.8
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libvmtk-dev
Description: runtime libraries for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains the shared runtime libraries.

Package: python-vmtk
Section: non-free/python
Architecture: any
Conflicts: python-vmtk0
Replaces: python-vmtk0
Provides: python-vmtk0
Depends: libvmtk0.9 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Python interface for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package provides the Python interface for vmtk.

Package: libvmtk-dev
Section: non-free/libdevel
Architecture: any
Conflicts: libvmtk0-dev
Replaces: libvmtk0-dev
Provides: libvmtk0-dev
Depends: libvmtk0.9 (= ${binary:Version}), ${misc:Depends}
Description: shared links and header files for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains header files and shared library links.

Package: vmtk
Architecture: all
Conflicts: vmtk0-bin
Replaces: vmtk0-bin
Provides: vmtk0-bin
Depends: python, python-tk, python-vmtk (>= ${source:Version}), ${misc:Depends}
Description: the Vascular Modeling Toolkit
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
